Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.text 6.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.text
Class Line.Part

    java.lang.Object
      org.openide.text.Annotatable
          org.openide.text.Line.Part

Enclosing class:
  Line

    public abstract static class Line.Part

extends Annotatable

Representation of the part of the Line's text. The part of the text is defined by the starting column, length of the part and reference to Line. The length of the part never cross the end of the line.

Since:
  1.20

Field Summary
`static String` | `PROP_COLUMN` Property name for the column attribute
`static String` | `PROP_LENGTH` Property name for the length attribute
`static String` | `PROP_LINE` Property name for the line attribute

Fields inherited from class org.openide.text.Annotatable
`PROP_ANNOTATION_COUNT, PROP_DELETED, PROP_TEXT`

Constructor Summary
`Line.Part()`

Method Summary
`abstract int` | `getColumn()` Start column of annotation
`abstract int` | `getLength()` Length of the annotated text.
`abstract Line` | `getLine()` Line can change during editting

Methods inherited from class org.openide.text.Annotatable
`addAnnotation, addPropertyChangeListener, firePropertyChange, getAnnotationCount, getText, isDeleted, removeAnnotation, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_LINE

    public static final String PROP_LINE

  Property name for the line attribute

  See Also:
    Constant Field Values

### PROP_COLUMN

    public static final String PROP_COLUMN

  Property name for the column attribute

  See Also:
    Constant Field Values

### PROP_LENGTH

    public static final String PROP_LENGTH

  Property name for the length attribute

  See Also:
    Constant Field Values

Constructor Detail

### Line.Part

    public Line.Part()

Method Detail

### getColumn

    public abstract int getColumn()

  Start column of annotation

  Returns:
    column at which this part begining

### getLength

    public abstract int getLength()

  Length of the annotated text. The length does not cross line end. If the annotated text is split during the editing, the annotation is shorten till the end of the line. Modules can listen on changes of this value

  Returns:
    length of the part

### getLine

    public abstract Line getLine()

  Line can change during editting

  Returns:
    reference to the Line to which this part belongs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.text 6.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.